summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorMatthias Clasen <matthiasc@src.gnome.org>2005-07-25 18:20:56 +0000
committerMatthias Clasen <matthiasc@src.gnome.org>2005-07-25 18:20:56 +0000
commitabb52ad36649f62f1e565c387550f559e588f4b5 (patch)
tree7262bf22862ea8a7f76bc907b8d9207b2370e0dd /autogen.sh
parent24cf93423c4594dcd68e969ea21cc767c390e876 (diff)
downloadgobject-introspection-abb52ad36649f62f1e565c387550f559e588f4b5.tar.gz
Also add this file
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..e20803b4
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="gobject-introspection"
+REQUIRED_AUTOCONF_VERSION=2.53
+REQUIRED_AUTOMAKE_VERSION=1.7.2
+
+(test -f $srcdir/configure.ac \
+ && test -f $srcdir/autogen.sh) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+DIE=0
+
+# This is a bit complicated here since we can't use gnome-config yet.
+# It'll be easier after switching to pkg-config since we can then
+# use pkg-config to find the gnome-autogen.sh script.
+
+gnome_autogen=
+gnome_datadir=
+
+ifs_save="$IFS"; IFS=":"
+for dir in $PATH ; do
+ test -z "$dir" && dir=.
+ if test -f $dir/gnome-autogen.sh ; then
+ gnome_autogen="$dir/gnome-autogen.sh"
+ gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
+ break
+ fi
+done
+IFS="$ifs_save"
+
+if test -z "$gnome_autogen" ; then
+ echo "You need to install the gnome-common module and make"
+ echo "sure the gnome-autogen.sh script is in your \$PATH."
+ exit 1
+fi
+
+GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 . $gnome_autogen